> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/iap.md).

# IAP

Provides features to navigate to in-app purchase order pages, look up products and orders, mark product delivery as complete, and check subscription status.

> Note: `completeProductGrant` / `getSubscriptionInfo`uses the native signature as is `{ params: { orderId } }` Preserve nesting.

### API List

| API                                                                                                                               | Description                                                       |
| --------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------- |
| [`IAP.createOneTimePurchaseOrder`](/documentation/api-and-sdk-en/sdk/domains-api/iap/iap.createonetimepurchaseorder.md)           | Go to the one-time in-app purchase order page                     |
| [`IAP.createSubscriptionPurchaseOrder`](/documentation/api-and-sdk-en/sdk/domains-api/iap/iap.createsubscriptionpurchaseorder.md) | Go to the subscription in-app purchase order page                 |
| [`IAP.getProductItemList`](/documentation/api-and-sdk-en/sdk/domains-api/iap/iap.getproductitemlist.md)                           | Retrieves a list of purchasable products                          |
| [`IAP.getPendingOrders`](/documentation/api-and-sdk-en/sdk/domains-api/iap/iap.getpendingorders.md)                               | Retrieves a list of pending orders                                |
| [`IAP.getCompletedOrRefundedOrders`](/documentation/api-and-sdk-en/sdk/domains-api/iap/iap.getcompletedorrefundedorders.md)       | Retrieves a list of completed or refunded orders                  |
| [`IAP.completeProductGrant`](/documentation/api-and-sdk-en/sdk/domains-api/iap/iap.completeproductgrant.md)                       | Notifies the app that product delivery is complete                |
| [`IAP.getSubscriptionInfo`](/documentation/api-and-sdk-en/sdk/domains-api/iap/iap.getsubscriptioninfo.md)                         | Retrieves the current status information for a subscription order |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/iap.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
